// SpotManager.h: interface for the SpotManager class.
//
//////////////////////////////////////////////////////////////////////
#include "GameHistory.h"
#if !defined(AFX_SPOTMANAGER_H__2BD8AC61_C0ED_11D5_946F_00C026E59373__INCLUDED_)
#define AFX_SPOTMANAGER_H__2BD8AC61_C0ED_11D5_946F_00C026E59373__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//##ModelId=3BFC6912021A
class SpotManager
{
private :
	class SpotHistory
	{
	public:
		int BlankWay;
		int StoneColor;
		bool Visited;
		bool Dead;
		int StoneNo;
	};

public:
	void ClearSpots();
	// Լ
	int GetColorFromHistory(int Number);
	int GetNumberFromHistory(int Number);
	int GetHistoryNumber();
	CPoint GetPointFromHistory(int Number);
	void ReverseSpot(int StoneColor);
	void ClearHistory();
	int ShowStoneNo(CPoint It);
	void DeleteHistory(CPoint Here);
	int ShowColor(CPoint It);
	int ShowRight(CPoint It);
	int ShowLeft(CPoint It);
	int ShowDown(CPoint It);
	int ShowUp(CPoint It);
	void CleareScore();
	void AddHistory(CPoint Here);
	void ClearVisted();
	void RemoveStone(CPoint Whe);
	CPoint FindLiveWay(CPoint Heres);
	int NextLiveWay(CPoint Wh);
	int SetWayBlank(CPoint Wh);
	void DispSpotInfo(CDC* pDC);
	void SpotList(int Cols,CPoint Wh);
	SpotManager();
	virtual ~SpotManager();

	//
	SpotHistory StoneMan[19][19];
	int mb_BlackScore;
	int mb_WhiteScore;
	CPoint LastPoint;

};

#endif // !defined(AFX_SPOTMANAGER_H__2BD8AC61_C0ED_11D5_946F_00C026E59373__INCLUDED_)
