// GameSetDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dreamspot.h"
#include "GameSetDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGameSetDlg dialog


CGameSetDlg::CGameSetDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGameSetDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGameSetDlg)
	//}}AFX_DATA_INIT
}


void CGameSetDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGameSetDlg)
	DDX_Control(pDX, IDC_TIMES, m_cbTime);
	DDX_Control(pDX, IDC_STONE, m_cbStone);
	DDX_Control(pDX, IDC_MINUTES, m_cbMinutes);
	DDX_Control(pDX, IDC_HOUR, m_cbHour);
	DDX_Control(pDX, IDC_CHOCHO, m_cbChocho);
	DDX_Control(pDX, IDC_CHISU, m_cbChisu);
	//}}AFX_DATA_MAP
	m_SelColor=m_cbStone.GetCurSel()+1;

	if(m_cbHour.GetCurSel()==0) m_TotalTime=3600*24;
	else if(m_cbHour.GetCurSel()==1) m_TotalTime=0;
	else m_TotalTime=3600*(m_cbHour.GetCurSel()-1);

	m_TotalTime+=60*(m_cbMinutes.GetCurSel()*10);
	ChoTimes=m_cbTime.GetCurSel()+2;
	ChoTotal=m_cbChocho.GetCurSel()*30;
}


BEGIN_MESSAGE_MAP(CGameSetDlg, CDialog)
	//{{AFX_MSG_MAP(CGameSetDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGameSetDlg message handlers

BOOL CGameSetDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	mOK.AutoLoad(IDOK,this);
	mCANCEL.AutoLoad(IDCANCEL,this);
	
	m_cbStone.AddString("浹");
	m_cbStone.AddString("鵹");
	
	m_cbChisu.AddString("()");
	m_cbChisu.AddString("ȣ(5ȣݰ)");
	m_cbChisu.AddString("2 ٵ");
	m_cbChisu.AddString("3 ٵ");
	m_cbChisu.AddString("4 ٵ");
	m_cbChisu.AddString("5 ٵ");
	m_cbChisu.AddString("6 ٵ");
	m_cbChisu.AddString("7 ٵ");
	m_cbChisu.AddString("8 ٵ");
	m_cbChisu.AddString("9 ٵ");

	m_cbHour.AddString("");
	m_cbHour.AddString("0 ð");
	m_cbHour.AddString("1 ð");
	m_cbHour.AddString("2 ð");
	m_cbHour.AddString("3 ð");
	m_cbHour.AddString("4 ð");
	m_cbHour.AddString("5 ð");	

	m_cbChocho.AddString("30 ");
	m_cbChocho.AddString("60 ");

	m_cbMinutes.AddString("0 ");
	m_cbMinutes.AddString("10 ");
	m_cbMinutes.AddString("20 ");
	m_cbMinutes.AddString("30 ");
	m_cbMinutes.AddString("40 ");
	m_cbMinutes.AddString("50 ");

	m_cbTime.AddString("3 ");
    m_cbTime.AddString("4 ");
	m_cbTime.AddString("5 ");
	m_cbTime.AddString("6 ");
	m_cbTime.AddString("7 ");
	m_cbTime.AddString("8 ");
	
	m_cbTime.SetCurSel(0);
	m_cbHour.SetCurSel(2);
	m_cbMinutes.SetCurSel(0);
	m_cbChocho.SetCurSel(0);
	m_cbChisu.SetCurSel(1);
	m_cbStone.SetCurSel(0);
	//UpdateData(FALSE);
	return TRUE;
}
