// RuleMan.cpp: implementation of the CRuleMan class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "DreamSpot.h"
#include "RuleMan.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CRuleMan::CRuleMan()
{
	// 1 : 
	// 2 : 
	InitTime();
}

CRuleMan::~CRuleMan()
{
}

void CRuleMan::ChangeTurn()
{
	if(WhoTurn==1) WhoTurn=2;
	else if(WhoTurn==2) WhoTurn=1;
}

int CRuleMan::IsTurn()
{
	return WhoTurn;
}

bool CRuleMan::FindDeadStone(CPoint Heres,SpotManager &STView,int StoneCOLOR)
{
	CPoint DeadPoint;
	bool FoundDeadStone=FALSE;

	if(STView.ShowUp(Heres)==StoneCOLOR)
	{
		if(STView.FindLiveWay(CPoint(Heres.x,Heres.y-1))==CPoint(Heres.x,Heres.y-1))
		{
			STView.StoneMan[Heres.x][Heres.y-1].Dead=TRUE;
			FoundDeadStone=TRUE;
			STView.LastPoint=CPoint(Heres.x,Heres.y-1);
			STView.RemoveStone(CPoint(Heres.x,Heres.y-1));
		}
	}
	if(STView.ShowDown(Heres)==StoneCOLOR)
	{
		if(STView.FindLiveWay(CPoint(Heres.x,Heres.y+1))==CPoint(Heres.x,Heres.y+1))
		{
			STView.StoneMan[Heres.x][Heres.y+1].Dead=TRUE;
			FoundDeadStone=TRUE;
			STView.LastPoint=CPoint(Heres.x,Heres.y+1);
			STView.RemoveStone(CPoint(Heres.x,Heres.y+1));
		}
	}
	if(STView.ShowLeft(Heres)==StoneCOLOR)
	{
		if(STView.FindLiveWay(CPoint(Heres.x-1,Heres.y))==CPoint(Heres.x-1,Heres.y))
		{
			STView.StoneMan[Heres.x-1][Heres.y].Dead=TRUE;
			FoundDeadStone=TRUE;
			STView.LastPoint=CPoint(Heres.x-1,Heres.y);
			STView.RemoveStone(CPoint(Heres.x-1,Heres.y));
		}
	}
	if(STView.ShowRight(Heres)==StoneCOLOR)
	{
		if(STView.FindLiveWay(CPoint(Heres.x+1,Heres.y))==CPoint(Heres.x+1,Heres.y))
		{
			STView.StoneMan[Heres.x+1][Heres.y].Dead=TRUE;
			FoundDeadStone=TRUE;
			STView.LastPoint=CPoint(Heres.x+1,Heres.y);
			STView.RemoveStone(CPoint(Heres.x+1,Heres.y));
		}
	}
	return FoundDeadStone;
}

bool CRuleMan::CanDropHere(CPoint Here, int StoneColor,SpotManager &STView)
{
	if(STView.StoneMan[Here.x][Here.y].StoneColor!=0) return FALSE;

	// ׵  ƺ
	STView.SpotList(StoneColor,Here);
	// ׸ Ȯ  ׾ Ҵ...(ڴ  ^^)
	//  ġ ϶
	if(STView.FindLiveWay(Here)==Here)
	{
		// ׷   , ٷ Դ°  ?
		if(STView.LastPoint==Here)
		{
			STView.SpotList(0,Here);
			return FALSE;
		}

		//  ġ  ׷      ִ.
		if(STView.StoneMan[Here.x][Here.y-1].StoneColor==EnemyForce(StoneColor))
		{
			if(STView.FindLiveWay(CPoint(Here.x,Here.y-1))==CPoint(Here.x,Here.y-1))
			{
				STView.SpotList(0,Here);
				return TRUE;
			}
		}
		if(STView.StoneMan[Here.x][Here.y+1].StoneColor==EnemyForce(StoneColor))
		{
			if(STView.FindLiveWay(CPoint(Here.x,Here.y+1))==CPoint(Here.x,Here.y+1))
			{
				STView.SpotList(0,Here);
				return TRUE;
			}
		}
		if(STView.StoneMan[Here.x-1][Here.y].StoneColor==EnemyForce(StoneColor))
		{
			if(STView.FindLiveWay(CPoint(Here.x-1,Here.y))==CPoint(Here.x-1,Here.y))
			{
				STView.SpotList(0,Here);
				return TRUE;
			}
		}
		if(STView.StoneMan[Here.x+1][Here.y].StoneColor==EnemyForce(StoneColor))
		{
			if(STView.FindLiveWay(CPoint(Here.x+1,Here.y))==CPoint(Here.x+1,Here.y))
			{
				STView.SpotList(0,Here);
				return TRUE;
			}
		}
		STView.SpotList(0,Here);
		return FALSE;
	}
	else
	{
		STView.SpotList(0,Here);
		return TRUE;
	}
}

int CRuleMan::EnemyForce(int Color)
{
	//  ΰ ?
	if(Color==1) return 2;
	else if(Color==2) return 1;
	else return 0;
}

void CRuleMan::InitTurn()
{
	// ʱȭ ϱ 
	WhoTurn=1;
	AfxMessageBox("  ΰ ˴ϴ.",NULL,NULL);
}

void CRuleMan::CountTimer(CDC *pDC)
{
	// ð 浹  鵹   ð .
	m_dwStartTime += 1;
	DecTime(IsTurn());
	ShowTime(pDC);
}

void CRuleMan::ShowTime(CDC *pDC)
{
	// ð  ش.
	CString szWhite, szBlack;

	CFont FixedFont;
	FixedFont.CreateFont(11,6,0,0,0,0,0,0,1,0,0,0,0,"");
	pDC->SelectObject(FixedFont);

	szBlack.Format("%02d:%02d:%02d",(m_dwBlackTime/60/60)%60,(m_dwBlackTime/60)%60, m_dwBlackTime%60);
	pDC->TextOut(589,142,szBlack);

	szWhite.Format("%02d:%02d:%02d",(m_dwWhiteTime/60/60)%60,(m_dwWhiteTime/60)%60, m_dwWhiteTime%60);
	pDC->TextOut(589,240,szWhite);	
}

void CRuleMan::InitTime() { m_dwBlackTime=0; m_dwWhiteTime=0; m_dwStartTime=0; }

void CRuleMan::SetTurn(int It)                { WhoTurn=It; }
void CRuleMan::SetChoIt(int Total, int Times) { ChoTotal=Total; ChoTimes=Times; }
void CRuleMan::SetGameTime(int Time)          { m_dwBlackTime=Time; m_dwWhiteTime=Time; }

void CRuleMan::DecTime(int Coloc)
{
	     if(Coloc==1) m_dwBlackTime -= 1;
	else if(Coloc==2) m_dwWhiteTime -= 1;
}

void CRuleMan::StartCho()
{
 	((CGameBoard*)AfxGetMainWnd())->PlaySound(MAKEINTRESOURCE(IDR_WAVE2));
 	Sleep(3000);
 
 	((CGameBoard*)AfxGetMainWnd())->PlaySound(MAKEINTRESOURCE(IDR_WAVE3)); Sleep(1000);
 	((CGameBoard*)AfxGetMainWnd())->PlaySound(MAKEINTRESOURCE(IDR_WAVE4)); Sleep(1000);
 	((CGameBoard*)AfxGetMainWnd())->PlaySound(MAKEINTRESOURCE(IDR_WAVE5)); Sleep(1000);
 	((CGameBoard*)AfxGetMainWnd())->PlaySound(MAKEINTRESOURCE(IDR_WAVE6)); Sleep(1000);
 	((CGameBoard*)AfxGetMainWnd())->PlaySound(MAKEINTRESOURCE(IDR_WAVE7)); Sleep(1000);
 	((CGameBoard*)AfxGetMainWnd())->PlaySound(MAKEINTRESOURCE(IDR_WAVE8)); Sleep(1000);
 	((CGameBoard*)AfxGetMainWnd())->PlaySound(MAKEINTRESOURCE(IDR_WAVE9)); Sleep(1000);
 	((CGameBoard*)AfxGetMainWnd())->PlaySound(MAKEINTRESOURCE(IDR_WAVE10));	Sleep(1000);
 	((CGameBoard*)AfxGetMainWnd())->PlaySound(MAKEINTRESOURCE(IDR_WAVE11)); Sleep(1000);
 	((CGameBoard*)AfxGetMainWnd())->PlaySound(MAKEINTRESOURCE(IDR_WAVE12));
}
